/**
 * Este archivo nos servira para refactorizar nuestro codigo aqui se encontraran
 * todas las funciones que se repitan en nuestro archivos, como modelos, vistas y
 * controladores
 */

/**
 * Funcion para poder hacer busquedas en una tabla
 * @param idTabla le mandamos el id de la tabla que queremos realizar las busquedas
 */
function tablaBusqueda(idTabla){
        var asInitVals = new Array();
        var oTable = idTabla.dataTable({
                "bJQueryUI": true,
                "sPaginationType": "full_numbers",                
                "iDisplayLength": 50,
                "bFilter":true,
                "aaSorting": [[ 0, "asc" ]]
        });
        $('tfoot input').keyup(function(){
            oTable.fnFilter( this.value, $("tfoot input").index(this) );
        });
        $("tfoot input").each( function (i) {
                asInitVals[i] = this.value;
        });

        $("tfoot input").focus( function () {
                if ( this.className == "buscar" )
                {
                        this.className = "";
                        this.value = "";
                }
        });

        $("tfoot input").blur( function (i) {
                if ( this.value == "" )
                {
                        this.className = "buscar";
                        this.value = asInitVals[$("tfoot input").index(this)];
                }
        });
}
