<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2012 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">

    $(document).ready(function() {
                            
        var oTable = $('#tablaConfiguracion').dataTable({
            "bJQueryUI": true,
            "sPaginationType": "full_numbers",                
            "iDisplayLength": 25,
            "bFilter":true,
            "aoColumns": [
                { "bSortable": true},
                { "bSortable": true},
                { "bSortable": true},
                { "bSortable": true},
                { "bSortable": true},
                { "bSortable": false,"bSearchable": false},
                { "bSortable": false,"bSearchable": false},
                { "bSortable": false,"bSearchable": false}
            ],
            "aaSorting": [[ 0, "asc" ]],
            "oLanguage": {                
                "sProcessing": "<? echo JText::_('COM_OPENKM_PLEASE_WAIT') ?>",
                "sLengthMenu": "<? echo JText::_('COM_OPENKM_SHOW') ?>_MENU_ <? echo JText::_('COM_OPENKM_ENTRIES') ?>",
                "sZeroRecords": "<? echo JText::_('COM_OPENKM_NOTHING_FOUND_SORRY') ?>",
                "sInfo": "<? echo JText::_('COM_OPENKM_SHOWING') ?>_START_ <? echo JText::_('COM_OPENKM_TO') ?> _END_ <? echo JText::_('COM_OPENKM_OF') ?> _TOTAL_ <? echo JText::_('COM_OPENKM_ENTRIES') ?>",
                "sInfoEmpty": "<? echo JText::_('COM_OPENKM_SHOWING') ?> 0 <? echo JText::_('COM_OPENKM_TO') ?> 0 <? echo JText::_('COM_OPENKM_OF') ?> 0 <? echo JText::_('COM_OPENKM_ENTRIES') ?>",
                "sInfoFiltered": "(<? echo JText::_('COM_OPENKM_FILTERED_FROM') ?> _MAX_ <? echo JText::_('COM_OPENKM_TOTAL_ENTRIES') ?>)",
                "sInfoPostFix": "",
                "sSearch": "<? echo JText::_('COM_OPENKM_SEARCH'); ?>",
                "sUrl": "",
                "oPaginate": {
                    "sFirst":    "<? echo JText::_('COM_OPENKM_FIRST') ?>",
                    "sPrevious": "<? echo JText::_('COM_OPENKM_PREVIOUS') ?>",
                    "sNext":     "<? echo JText::_('COM_OPENKM_NEXT') ?>",
                    "sLast":     "<? echo JText::_('COM_OPENKM_LAST') ?>"
                }
            }
        });
        
        $('tfoot input').keyup(function(){
            oTable.fnFilter( this.value, $("tfoot input").index(this) );
        });
        $("tfoot input").each( function (i) {
            asInitVals[i] = this.value;
        });
        
        $("tfoot input").focus( function () {
            if ( this.className == "buscar" )
            {
                this.className = "";
                this.value = "";
            }
        });
        
        $("tfoot input").blur( function (i) {
            if ( this.value == "" )
            {
                this.className = "buscar";
                this.value = asInitVals[$("tfoot input").index(this)];
            }
        });
        /**
         * Botones
         */
        $("#tablaConfiguracion td > a").each(function(index){
            $(this).attr('id', 'edit'+index);
            $(this).attr('id', 'delete'+index);
            $(this).attr('id', 'connection'+index);
            $("#delete"+index).button();
            $("#edit"+index).button();
            $('#connection'+index).button();
        });
        $('#new').button();
    });
</script>
<p align="right">
    <a id="new" title="<? echo JText::_('COM_OPENKM_NEW'); ?>" href="index.php?option=com_openkm&view=configuracion&layout=formconfiguracion">
        <img src="<? echo JURI::base(true) . '/components/com_openkm/assets/images/new.png'; ?>" alt=""/>
    </a>
</p>

<table id="tablaConfiguracion" width="100%" class="display" cellpadding="0" cellspacing="0" border="0">
    <thead>
        <tr>
            <th><? echo JText::_('COM_OPENKM_NAME') ?></th>
            <th><? echo JText::_('COM_OPENKM_USER') ?></th>
            <th>URL</th>
            <th><? echo JText::_('COM_OPENKM_PATH'); ?></th>
            <th><? echo JText::_('COM_OPENKM_ACCESS'); ?></th>
            <th><? echo JText::_('COM_OPENKM_DELETE'); ?></th>
            <th><? echo JText::_('COM_OPENKM_EDIT'); ?></th>
            <th><? echo JText::_('COM_OPENKM_CONNECTION'); ?></th>
        </tr>
    </thead>
    <tbody>
        <? foreach ($this->rows as $row) { ?>
            <tr>
                <td>
                    <? echo $row->nameConfiguration; ?>
                </td>
                <td>
                    <? echo $row->usuario; ?>                        
                </td>                   
                <td>
                    <? echo $row->url; ?>                        
                </td>
                <td>
                    <? echo $row->okmPath; ?>
                </td>
                <td align="center">
                    <a href="index.php?option=com_openkm&view=configuracion&task=acceso&id=<? echo $row->idConfiguracion; ?>" >
                        <?
                        echo $row->acceso;
                        ?>
                    </a>                      
                </td>
                <td align="center">
                    <a id="delete" title="<? echo JText::_('COM_OPENKM_DELETE'); ?>" href="index.php?option=com_openkm&view=configuracion&task=delete&id=<? echo $row->idConfiguracion; ?>" >
                        <img src="<? echo JURI::base(true) . '/components/com_openkm/assets/images/delete.gif'; ?>" alt=""/>
                    </a>
                </td>
                <td align="center">
                    <a id="edit" title="<? echo JText::_('COM_OPENKM_EDIT') ?>" href="index.php?option=com_openkm&view=configuracion&task=edit&id=<? echo $row->idConfiguracion; ?>" >
                        <img src="<? echo JURI::base(true) . '/components/com_openkm/assets/images/edit.png'; ?>" alt=""/>
                    </a>
                </td>
                <td align="center">
                    <a id="edit" title="<? echo JText::_('COM_OPENKM_TEST_CONNECTION') ?>" href="index.php?option=com_openkm&view=configuracion&task=test&id=<? echo $row->idConfiguracion; ?>" >
                        <? echo JText::_('COM_OPENKM_TEST') ?> 
                    </a>
                </td>
            </tr>
        <? } ?>
    </tbody>
<!--        <tfoot>
        <tr>
            <th><input type="text" name="buscarNaneConfiguration" value="<? echo JText::_('Name'); ?>" class="buscar" title="<? echo JText::_('Search by Name') ?>"/></th>                
            <th><input type="text" name="buscarUsuario" value="<? echo JText::_('User'); ?>" class="buscar" title="<? echo JText::_('Search by User') ?>"/></th>                
            <th><input type="text" name="buscarURL" value="URL" class="buscar" title="<? echo JText::_('Search by URL') ?>"/></th>
            <th><input type="text" name="buscarPath" value="Path" class="buscar" title="<? echo JText::_('Search by Path') ?>"/></th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
    </tfoot>-->
</table>
