<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2012 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<script language="javascript" type="text/javascript">
    $(document).ready(function(){

        $("#searchAdvanced").button().click(function() {
            var contenido = $('#contenido').val();
            var nombre = $('#nombre').val();
            var palabraClave = $('#palabraClave').val();
            if(contenido != '' || nombre != '' || palabraClave != ''){
                document.formBuscador.task.value = 'searchAdvanced';
                document.formBuscador.submit();
            }
            else{                
                $('#nombre').validationEngine('showPrompt', '<? echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED');?>', 'error', true);                     
                return false;
            }
        });

        $('*').keypress(function(e){
            //funciona cuando se preciona la tecla enter
            if(e.keyCode == 13){
                var contenido = $('#contenido').val();
                var nombre = $('#nombre').val();
                var palabraClave = $('#palabraClave').val();
                if(contenido != '' || nombre != '' || palabraClave != ''){
                    document.formBuscador.task.value = 'searchAdvanced';
                    document.formBuscador.submit();
                }
                else{
                    $('#nombre').validationEngine('showPrompt', '<? echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED');?>', 'error', true);                         
                    return false;
                }
            }
        });
    
        $("#searchReturn").button().click(function() {
            document.formBuscador.task.value = 'returnDesktop';
            document.formBuscador.submit();
        });

        $("#tab").tabs();
        
        $('#formBuscador').validationEngine();
    });


</script>
<form action= "" method="post" name="formBuscador"
      id="formBuscador" enctype="multipart/form-data">
    <div id="tab">
        <ul>
            <li><a href="#dato"><? echo JText::_('COM_OPENKM_ADVANCED_SEARCH') ?></a></li>                
        </ul>
        <div id="dato">
            <table id="datoTable" align="center">
                <tr>
                    <td align="right"><? echo JText::_('COM_OPENKM_CONTENT') ?>:</td>
                    <td>
                        <input type="text" name="contenido" id="contenido" value="<? echo $this->sessionSearch->get('contenido');?>" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><? echo JText::_('COM_OPENKM_NAME') ?>:</td>
                    <td>
                        <input type="text" name="nombre" id="nombre" value="<? echo $this->sessionSearch->get('nombre');?>" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><? echo JText::_('COM_OPENKM_KEYWORDS') ?>:</td>
                    <td>
                        <input type="text" name="palabraClave" id="palabraClave" value="<? echo $this->sessionSearch->get('palabraClave');?>" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><? echo JText::_('COM_OPENKM_TYPE') ?>:</td>
                    <td>
                        <input type="checkbox" name="documento" id="documento" value="1" <? if($this->sessionSearch->get('documento') == '1') echo "checked='checked'"; ?> /><? echo JText::_('COM_OPENKM_DOCUMENT') ?>
                        <input type="checkbox" name="carpeta" id="carpeta" value="2" <? if($this->sessionSearch->get('carpeta') == '2') echo "checked='checked'"; ?> /><? echo JText::_('COM_OPENKM_FOLDER') ?>                        
                    </td>
                </tr>
                <tr>
                    <td><? echo JText::_('COM_OPENKM_DOCUMENT_TYPE') ?>:</td>
                    <td>                           
                        <select id="tipoDocumento" name="tipoDocumento">
                            <option value=""></option>
                            <option value="text/html" <? if($this->sessionSearch->get('tipoDocumento') == 'text/html') echo "selected='selected'"; ?> >HTML</option>
                            <option value="application/vnd.ms-excel" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.ms-excel') echo "selected='selected'"; ?>>MS Excel</option>
                            <option value="application/vnd.ms-powerpoint" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.ms-powerpoint') echo "selected='selected'"; ?>>MS PowerPoint</option>
                            <option value="application/msword" <? if($this->sessionSearch->get('tipoDocumento') == 'application/msword') echo "selected='selected'"; ?>>MS Word</option>
                            <option value="application/vnd.oasis.opendocument.database" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.oasis.opendocument.database') echo "selected='selected'"; ?>>OpenOffice.org Database</option>
                            <option value="application/vnd.oasis.opendocument.graphics" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.oasis.opendocument.graphics') echo "selected='selected'"; ?>>OpenOffice.org Draw</option>
                            <option value="application/vnd.oasis.opendocument.presentation" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.oasis.opendocument.presentation') echo "selected='selected'"; ?>>OpenOffice.org Presentation</option>
                            <option value="application/vnd.oasis.opendocument.spreadsheet" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.oasis.opendocument.spreadsheet') echo "selected='selected'"; ?>>OpenOffice.org Spreadsheet</option>
                            <option value="application/vnd.oasis.opendocument.text" <? if($this->sessionSearch->get('tipoDocumento') == 'application/vnd.oasis.opendocument.text') echo "selected='selected'"; ?>>OpenOffice.org Word Processor</option>
                            <option value="application/pdf" <? if($this->sessionSearch->get('tipoDocumento') == 'application/pdf') echo "selected='selected'"; ?>>PDF</option>
                            <option value="application/rtf" <? if($this->sessionSearch->get('tipoDocumento') == 'application/rtf') echo "selected='selected'"; ?>>RTF</option>
                            <option value="text/plain" <? if($this->sessionSearch->get('tipoDocumento') == 'text/plain') echo "selected='selected'"; ?>>TXT</option>
                            <option value="text/xml" <? if($this->sessionSearch->get('tipoDocumento') == 'text/xml') echo "selected='selected'"; ?>>XML</option>                                
                        </select>
                    </td>
                </tr>
            </table>
        </div>
        <table width="100%" id="buttonTable">
            <tr>
                <td align="right" colspan="2">
                    <button id="searchReturn">
                        <? echo JText::_('COM_OPENKM_GO_BACK') ?>
                    </button>
                    <button id="searchAdvanced">
                        <? echo Jtext::_('COM_OPENKM_SEARCH') ?>
                    </button>                        
                </td>
            </tr>
        </table>            
        <input type="hidden" name="option" value="com_openkm" />
        <input type="hidden" name="view" value="buscador"/>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="id" value="<? echo $this->rowConfiguracion->idConfiguracion; ?>"/>
    </div><!--fin del tabs-->
</form>