<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2012 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class OpenKMViewConfiguracion extends JView {

    public function display($tpl = null) {
        $layout = JRequest::getVar('layout');
        $user = & JFactory::getUser();
        if ($layout == 'formconfiguracion') {
            require_once (JPATH_COMPONENT.DS.'tables'.DS.'configuracion.php');
            $row = JTable::getInstance('Configuracion','Table');
            $row->load(JRequest::getVar('id'));
            $this->assignRef('row', $row);
            
            require_once (JPATH_COMPONENT . DS .'models'.DS.'configuracion.php');
            $modelConfiguracion = new OpenKMModelConfiguracion();
            $rows = $modelConfiguracion->getObjects();
            $this->assignRef('rows', $rows);
        }
        else if($layout == 'listconfiguracion'){
            require_once (JPATH_COMPONENT . DS .'models'.DS.'configuracion.php');
            $modelConfiguracion = new OpenKMModelConfiguracion();
            $rows = $modelConfiguracion->getObjects();
            $this->assignRef('rows', $rows);
        }
        $this->assignRef('user', $user);
        $document=JFactory::getDocument();
        $document->setTitle(JText::_('Configuracion'));
        $document->addStyleDeclaration('.icon-48-botanic {background-image: url(/administrator/components/com_openkm/assets/images/logo.png);}');
        parent::display($tpl);
    }

}

?>
