<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2012 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>

<style type="text/css">
    #basic {
        padding: 10px;
    }
</style>
<script type="text/javascript">

    $(document).ready(function() {
        var iDisplayLength = <? echo $this->rowConfiguracion->showEntries; ?>;
        var icon = <? echo $this->rowConfiguracion->icon; ?>;
        var size = <? echo $this->rowConfiguracion->size; ?>;
        var updateDate = <? echo $this->rowConfiguracion->updateDate; ?>;
        var author = <? echo $this->rowConfiguracion->author; ?>;
        var version = <? echo $this->rowConfiguracion->version; ?>;
        var iconValor = false;
        var sizeValor = false;
        var updateDateValor = false;
        var authorValor = false;
        var versionValor = false;
        if(icon == 1){
            iconValor = true;
        }
        if(size === 1){
            sizeValor = true;
        }
        if(updateDate == 1){
            updateDateValor = true; 
        }
        if(author == 1){
            authorValor = true;
        }
        if(version == 1){
            versionValor = true;
        }
        var asInitVals = new Array();        
        var oTable = $('#tablaEscritorio').dataTable({
            "bJQueryUI": true,
            "sPaginationType": "full_numbers",                
            "iDisplayLength": iDisplayLength,
            "bFilter":false,
            "aoColumns": [
                { "bSortable": false,"bSearchable": false,"bVisible":iconValor},
                { "bSortable": true ,"bVisible":true},
                { "bSortable": false ,"bVisible":sizeValor},
                { "bSortable": false ,"bVisible":updateDateValor},
                { "bSortable": true ,"bVisible":authorValor},
                { "bSortable": false,"bVisible":versionValor }
            ],
            "aaSorting": [[ 0, "asc" ]],
            "oLanguage": {
                "sProcessing": "<? echo JText::_('COM_OPENKM_PLEASE_WAIT') ?>",
                "sLengthMenu": "<? echo JText::_('COM_OPENKM_SHOW') ?>_MENU_ <? echo JText::_('COM_OPENKM_ENTRIES') ?>",
                "sZeroRecords": "<? echo JText::_('COM_OPENKM_NOTHING_FOUND_SORRY') ?>",
                "sInfo": "<? echo JText::_('COM_OPENKM_SHOWING') ?>_START_ <? echo JText::_('COM_OPENKM_TO') ?> _END_ <? echo JText::_('COM_OPENKM_OF') ?> _TOTAL_ <? echo JText::_('COM_OPENKM_ENTRIES') ?>",
                "sInfoEmpty": "<? echo JText::_('COM_OPENKM_SHOWING') ?> 0 <? echo JText::_('COM_OPENKM_TO') ?> 0 <? echo JText::_('COM_OPENKM_OF') ?> 0 <? echo JText::_('COM_OPENKM_ENTRIES') ?>",
                "sInfoFiltered": "(<? echo JText::_('COM_OPENKM_FILTERED_FROM') ?> _MAX_ <? echo JText::_('COM_OPENKM_TOTAL_ENTRIES') ?>)",
                "sInfoPostFix": "",
                "sSearch": "<? echo JText::_('COM_OPENKM_SEARCH'); ?>",
                "sUrl": "",
                "oPaginate": {
                    "sFirst":    "<? echo JText::_('COM_OPENKM_FIRST') ?>",
                    "sPrevious": "<? echo JText::_('COM_OPENKM_PREVIOUS') ?>",
                    "sNext":     "<? echo JText::_('COM_OPENKM_NEXT') ?>",
                    "sLast":     "<? echo JText::_('COM_OPENKM_LAST') ?>"
                }
            }
        });
        
        $('tfoot input').keyup(function(){
            oTable.fnFilter( this.value, $("tfoot input").index(this) );
        });
        $("tfoot input").each( function (i) {
            asInitVals[i] = this.value;
        });
        
        $("tfoot input").focus( function () {
            if ( this.className == "buscar" )
            {
                this.className = "";
                this.value = "";
            }
        });
        
        $("tfoot input").blur( function (i) {
            if ( this.value == "" )
            {
                this.className = "buscar";
                this.value = asInitVals[$("tfoot input").index(this)];
            }
        });
        
        $('#searchBasic').button().click(function(){
            if($('#formSearch').validationEngine('validate')){
                document.formSearch.task.value = 'searchBasic';
                document.formSearch.submit();
            }
            return false;
        });
        $('#cbSearchAdvanced').button().click(function(){
            if($(this).is(':checked')){                
                $('#basic').css('display','none');
                $('#advanced').css('display','');  
                $('#tablaEscritorio_wrapper').css('display','none');
                $("#spanAdvancedSearch").css('display','none');
            }           
        });
        
        $('#formSearch').validationEngine();
    });
</script>
<?

function printFolder($folder, $rowConfiguracion) { ?>
    <tr>       
        <td align="center">
            <? if ($folder->hasChilds == 1) { ?>
                <img src="components/com_openkm/assets/images/menuitem_childs.png" /> 
            <? } else {
                ?>
                <img src="components/com_openkm/assets/images/menuitem_empty.png" />   
            <? } ?>            
        </td>
        <td>
            <a  href="index.php?option=com_openkm&view=escritorio&task=folder&path=<? echo $folder->path; ?>" >
                <? echo substr($folder->path, strrpos($folder->path, '/') + 1); ?>
            </a>
        </td>
        <td>

        </td>
        <td>            
            <?
            $time = strtotime($folder->created);
            echo date('d/m/Y h:i:s', $time);
            ?>
        </td>        
        <td>
            <? echo $folder->author ?>
        </td>        
        <td>
        </td> 
    </tr>
    <?
}

function printDocument($document, $rowConfiguracion) {
    ?>
    <tr>
        <td align="center">
            <img src="<? echo $rowConfiguracion->url; ?>/mime/<? echo $document->mimeType; ?>" />            
        </td>
        <td>            
            <a  href="components/com_openkm/download.php?path=<? echo $document->path; ?>&id=<? echo $rowConfiguracion->idConfiguracion; ?>" >                
                <? echo substr($document->path, strrpos($document->path, '/') + 1); ?>
            </a>               
        </td>
        <td>
            <? echo formatSize($document->actualVersion->size); ?>
        </td>
        <td>
            <?
            $time = strtotime($document->created);
            echo date('d/m/Y h:i:s', $time);
            ?>
        </td>
        <td>
            <? echo $document->author; ?>
        </td>
        <td>
            <? echo $document->actualVersion->name; ?>
        </td>    
    </tr>
    <?
}

function redondear($numero, $decimales) {
    $factor = pow(10, $decimales);
    return (round($numero * $factor) / $factor);
}

function formatSize($size) {
    if ($size / 1024 < 1) {
        $str = $size + " Bytes";
    } else if ($size / 1048576 < 1) {
        $srt = redondear(($size / 1024), 1) . " KB";
    } else if ($size / 1073741824 < 1) {
        $srt = redondear(($size / 1048576), 1) . " MB";
    } else if ($size / 1099511627776 < 1) {
        $srt = redondear(($size / 1073741824), 1) . " GB";
    } else {
        $srt = "BIG";
    }
    return $srt;
}

if ($this->entrar == 0) {
    ?>
    <script type="text/javascript">
        $(document).ready(function(){
            $('#enviar').click(function(){
                document.formAcceso.task.value='enviar';
                document.formAcceso.submit();
            });
                                                                                
            $("#enviar").button();
        });
    </script>
    <div class=""> 
        <? if ($this->mensaje != '') { ?>
            <p style="color: #ff0000;"><? echo $this->mensaje; ?></p>
        <? } ?>
        <h3 class="contentpassword-title"><? echo JText::_('COM_OPENKM_RESTRICTED_CONTENT') ?></h3>
        <p class="contentpassword-description"><? echo JText::_('COM_OPENKM_PROTECTED_AREA') ?><br>
            <? echo JText::_('COM_OPENKM_PRIVATE_DESCRIPTION') ?></p>
        <form action= "" method="post" id="formAcceso" name="formAcceso" class="contentpassword-form">
            <table>
                <tr>
                    <td align="right"><? echo JText::_('COM_OPENKM_PASSWORD') ?></td>
                    <td><input type="password" name="passwordAcceso" id="passwordAcceso" value=""/></td>
                    <td><button id="enviar"><? echo JText::_('COM_OPENKM_SEND'); ?></button></td>
                </tr>
            </table>        
            <input type="hidden" name="option" value="com_openkm" />
            <input type="hidden" name="view" value="escritorio"/>            
            <input type="hidden" name="task" value="" /> 
            <input type="hidden" name="id" value="<? echo $this->rowConfiguracion->idConfiguracion; ?>"/>
        </form>
    </div>
    <?
} else {
    if ($this->error == 0) {
        // Listar Folder
        $getChildrenResp = $this->OKMFolder->getChildren(array('token' => $this->token, 'fldPath' => $this->path));
        $folderArray = $getChildrenResp->return;

        //Listar Document
        $getChildrenResp = $this->OKMDocument->getChildren(array('token' => $this->token, 'fldPath' => $this->path));
        $documentArray = $getChildrenResp->return;

        $this->OKMAuth->logout(array('token' => $this->token));
        ?>   
        <h3><?echo JText::_('COM_OPENKM_PATH');?>:
            <?
            $ruta = $this->session->get('ruta');
            for ($i = 0; $i < count($ruta); $i++) {
                ?>

                <a  href="index.php?option=com_openkm&view=escritorio&task=folder&v=1&path=<? echo $ruta[$i]; ?>" >
                    <?
                    if ($i != 0) {
                        echo substr($ruta[$i], strrpos($ruta[$i], '/'));
                    } else {
                        echo JText::_('COM_OPENKM_HOME');
                    }
                    ?>                               
                </a>            
            <? } ?>
        </h3>
        <div id="basic" style="display:inline-block; " width="100%">
            <form method="post" action="" name="formSearch" id="formSearch">
                <span><? echo JText::_('COM_OPENKM_SEARCH_BY_CONTENT') ?>:</span>    
                <span><input type="text" name="contenido" id="contenido" value="" size="50" class="validate[required] text-input"/> </span>
                <span><button id="searchBasic"><img src="components/com_openkm/assets/images/search.png" width="16"  /></button></span>                
                <input type="hidden" name="option" value="com_openkm" />
                <input type="hidden" name="view" value="escritorio"/>
                <input type="hidden" name="id" value="<? echo $this->rowConfiguracion->idConfiguracion; ?>"/>
                <input type="hidden" name="task" value="" />
                <input type="hidden" name="documento" id="documento" value="1" checked="checked"/>                       
            </form>
        </div>
        <div id="advanced" style="display: none;">
            <? require_once ('form.php'); ?>
        </div>
        <span style="float: right; margin: 10px;" id="spanAdvancedSearch" ><input type="checkbox" name="cbSearchAdvanced" id="cbSearchAdvanced" /><label id="lSearch" for="cbSearchAdvanced"><? echo JText::_('COM_OPENKM_ADVANCED_SEARCH');?></label> </span>
        <table id="tablaEscritorio" width="100%" class="display">
            <thead>
                <tr>
                    <th > </th>
                    <th > <? echo JText::_('COM_OPENKM_NAME') ?></th>
                    <th > <? echo JText::_('COM_OPENKM_SIZE') ?></th>
                    <th> <? echo JText::_('COM_OPENKM_UPDATE_DATE') ?></th>
                    <th > <? echo JText::_('COM_OPENKM_AUTHOR') ?></th>
                    <th > <? echo JText::_('COM_OPENKM_VERSION') ?></th>
                </tr>
            </thead>
            <tbody id="tbodyEscritorio">
                <?
                if ($folderArray) {
                    if (is_array($folderArray)) {
                        foreach ($folderArray as $folder) {
                            printFolder($folder, $this->rowConfiguracion);
                        }
                    } else {
                        if (isset($folderArray)) {
                            printFolder($folderArray, $this->rowConfiguracion);
                        }
                    }
                }
                if (is_array($documentArray)) {
                    foreach ($documentArray as $document) {
                        printDocument($document, $this->rowConfiguracion);
                    }
                } else {
                    if (isset($documentArray)) {
                        printDocument($documentArray, $this->rowConfiguracion);
                    }
                }
                ?>
            </tbody>
        </table>
    <? } else { ?>   
        <h2><? echo JText::_('COM_OPENKM_ERROR_THE_CONFIGURATION_IS_NOT_CORRECT_PLEASE_CHECK_YOUR_OPENKM_CONFIGURATION_TO_CONNECTO_TO')?>.</h2>
    <? } ?>
<? } ?>
